Page MenuHomePhabricator

Remove Flow for Cosine02's talk page at zh.wikipedia
Closed, ResolvedPublic

Description

Per request (permalink) from @Cosine02 at Meta-Wiki.

I thought about adding myself flow-bot rights and renaming the page, but I'm not sure that will work. And since there's no documentation about how to disable Flow, I prefer not to take any risk.

Event Timeline

MarcoAurelio raised the priority of this task from to Normal.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added subscribers: MarcoAurelio, Cosine02.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 7:15 PM

It's a Beta Feature, they can disable it for themselves. They don't explain if they've tried that, just that they can't move the page.

It's a Beta Feature, they can disable it for themselves. They don't explain if they've tried that, just that they can't move the page.

James, he requested activation at mediawiki.org; so I'm not sure he enabled it himself as beta feature. Please advice. Thanks.

Cosine02 closed this task as Resolved.Feb 3 2016, 9:26 AM
Cosine02 claimed this task.

Solved according to SRM. Also I wonder does it bother global rename?

For the record: I believe that a flow page move CAN happen but only with the right to create a flow page.. I'll check in with the team and perhaps stewards should grant that to themselves for the purposes of renames etc where that's an issue.

Mattflaschen-WMF added a subscriber: Legoktm.EditedFeb 8 2016, 4:02 PM

For the record: I believe that a flow page move CAN happen but only with the right to create a flow page.. I'll check in with the team and perhaps stewards should grant that to themselves for the purposes of renames etc where that's an issue.

Yes, you have to be able to create a Flow board at the destination. That means either the destination is a Flow namespace (there are none for user talk on public wikis) or you have to be able to create a Flow board anywhere.

It's still not clear whether they tried to just disable it at BetaFeatures (that may be possible even if it wasn't enabled as a Beta Feature, since we have a script that populates that preference).

I've filed the steward part as T126229: flow-create-board for bureaucrats?, global renamers? stewards (done) (and "Global rename script" ?).